Katello - Bug #7271

Content view Update allows any valid repository ids to be added
08/26/2014 04:38 PM - Justin Sherrill

Status: Closed
Priority: Normal
Assignee: Justin Sherrill
Category: API
Target version: Katello 2.0
Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1134057 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/461
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1134057
Description of problem:

Currently PUT /api/v2/content_views/:id/ takes a lit of repository ids. These ids are not validated to be only Library ids. As a result a
user can post anyt valid repo id (including repositories that are not in library.

Version-Release number of selected component (if applicable):
6.0.3

How reproducible:
Always

Steps to Reproduce:
1. Issue a PUT request to a content view: /api/v2/content_views/:id/ specifying ids for repositories in another org for example.

Alternatively you can use hammer to assign repos using their ids as well on the 'hammer content-view update' command.

Actual results:
Any repo can be added.

Expected results:
Repos that are not in Library within the same org should not be able to be added.

Additional info:

Associated revisions

Revision 9b0a5ff3 - 08/27/2014 11:05 AM - Justin Sherrill

fixes #7271 - validate repositories associated to content views

Revision 23b28604 - 08/27/2014 11:30 AM - Justin Sherrill
Merge pull request #4615 from jIsherrill/7271

fixes #7271 - validate repositories associated to content views

History

#1 - 08/26/2014 04:38 PM - Justin Sherrill

- Status changed from New to Assigned

- Target version set to 55

- translation missing: en.field_release set to 13

- Difficulty set to medium
https://bugzilla.redhat.com/show_bug.cgi?id=1134057

- Triaged changed from No to Yes

#2 - 08/26/2014 04:43 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4615 added
- Pull request deleted ()

#3 - 08/27/2014 12:01 PM - Justin Sherrill
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|9b0a5{f34817809eff43t516351454749cb97cbc.
